/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ProjectDialog.cpp,v 2.1 1999/10/16 01:44:07 jeff Exp $

*******************************************************************************/


#include "ProjectDialog.h"

#define Inherited ProjectDialogData

ProjectDialog::ProjectDialog
(
	QWidget* parent,
	const char* name
)
    :
    Inherited( parent, name )
{
  connect( itsOKButton, 
           SIGNAL(clicked()), 
           SLOT(accept()) );
  connect( itsCancelButton, 
           SIGNAL(clicked()), 
           SLOT(reject()) );
}


ProjectDialog::~ProjectDialog()
{
}

QString ProjectDialog::GetName()  const
{
  return itsName->text();
}

void ProjectDialog::SetName( const QString &name )
{
  itsName->setText( name );
}

