/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KSpinBoxPropPage.cpp,v 2.1 1999/10/16 01:47:23 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KSpinBoxPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKSpinBox.h"
#include "KSpinBoxPropPage.h"

#define Inherited KSpinBoxPropPageData

KSpinBoxPropPage::KSpinBoxPropPage
(
    DlgKSpinBox* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    KSpinBox* spinBox = widget->GetKSpinBox();
    
    myValue->setText( spinBox->getValue() );
    isEditable->setChecked( spinBox->isEditable() );
    
    int align = spinBox->getAlign();
    if( align & AlignLeft )
    {
	isAlignLeft->setChecked( TRUE );
    }
    else if( align & AlignHCenter )
    {
	isAlignHCenter->setChecked( TRUE );
    }
    else if( align & AlignRight )
    {
	isAlignRight->setChecked( TRUE );
    }
}


KSpinBoxPropPage::~KSpinBoxPropPage()
{
}


void KSpinBoxPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKSpinBox* widget = static_cast<DlgKSpinBox*>(theWidget);
    KSpinBox* spinBox = widget->GetKSpinBox();
    
    spinBox->setValue( myValue->text() );
    spinBox->setEditable( isEditable->isChecked() );
    
    int align = 0;
    
    if( isAlignLeft->isChecked() )
    {
	align |= AlignLeft;
    }
    else if( isAlignHCenter->isChecked() )
    {
	align |= AlignCenter;
    }
    else if( isAlignRight->isChecked() )
    {
	align |= AlignRight;
    }
    
    spinBox->setAlign( align );
}


