/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KURLLabelPropPage.cpp,v 2.1 1999/10/16 01:47:32 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KURLLabelPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKURLLabel.h"
#include "KURLLabelPropPage.h"

#define Inherited KURLLabelPropPageData

KURLLabelPropPage::KURLLabelPropPage
(
    DlgKURLLabel* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{	
    KURLLabel* label = widget->GetKURLLabel();

    myText->setText( label->text() );
    myURL->setText( widget->getURL() );

    isGlow->setChecked( widget->isGlow() );
    isFloat->setChecked( widget->isFloat() );
    isUnderline->setChecked( widget->isUnderline() );
    
    switch( widget->getTextAlignment() )
    {
	case Top:
	{
	    isAlignTop->setChecked( TRUE );
	    break;
	}
	case Bottom:
	{
	    isAlignBottom->setChecked( TRUE );
	    break;
	}
	case Left:
	{
	    isAlignLeft->setChecked( TRUE );
	    break;
	}
	case Right:
	{
	    isAlignRight->setChecked( TRUE );
	    break;
	}
    }
    
    myHighlightedColor->setColor( widget->getHighlightedColor() );
    mySelectedColor->setColor( widget->getSelectedColor() );
    myBackgroundColor->setColor( widget->getBackgroundColor() );
}


KURLLabelPropPage::~KURLLabelPropPage()
{
}


void KURLLabelPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKURLLabel* widget = static_cast<DlgKURLLabel*>(theWidget);
    KURLLabel* label = widget->GetKURLLabel();
    
    label->setText( myText->text() );
    widget->setURL( myURL->text() );
    
    widget->setGlow( isGlow->isChecked() );
    widget->setFloat( isFloat->isChecked() );
    widget->setUnderline( isUnderline->isChecked() );
    
    TextAlignment align = Top;
    if( isAlignTop->isChecked() )
    {
	align = Top;
    }
    else if( isAlignBottom->isChecked() )
    {
	align = Bottom;
    }
    else if( isAlignLeft->isChecked() )
    {
	align = Left;
    }
    else if( isAlignRight->isChecked() )
    {
	align = Right;
    }
    
    widget->setTextAlignment( align );
    
    widget->setHighlightedColor( myHighlightedColor->color() );
    widget->setSelectedColor( mySelectedColor->color() );
    widget->setBackgroundColor( myBackgroundColor->color() );
}


