/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: CheckBoxPage.cpp,v 2.2 2000/04/30 17:09:39 jeff Exp $

*******************************************************************************/


#include <qchkbox.h> 

#include "CheckBoxPage.h"

#include "widget/DlgWidget.h"

#define Inherited CheckBoxPageData

CheckBoxPage::CheckBoxPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    const QCheckBox* button = (const QCheckBox*)widget->GetWidget();
	
    itsText->setText( button->text() );
    isAutoRepeat->setChecked( button->autoRepeat() );
    isChecked->setChecked( button->isChecked() );
    isTristate->setChecked( button->toggleType() == QButton::Tristate );
}


CheckBoxPage::~CheckBoxPage()
{
}


void CheckBoxPage::Apply( DlgWidget*	widget )
{
    QCheckBox* button = (QCheckBox*)widget->GetWidget();
    
    if( ! widget->UseBackgroundPixmap() )
      button->setText( itsText->text() );
    button->setAutoRepeat( isAutoRepeat->isChecked() );
    button->setChecked( isChecked->isChecked() );
    button->setTristate( isTristate->isChecked() );
}
