/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DialogGenPage.h,v 2.2 1999/10/16 01:48:27 jeff Exp $

*******************************************************************************/


#ifndef DialogGenPage_included
#define DialogGenPage_included

#include "DialogGenPageData.h"

class Dialog;

class DialogGenPage : public DialogGenPageData
{
    Q_OBJECT

public:

    DialogGenPage
    (
	Dialog* dialog,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~DialogGenPage();

    void Apply( Dialog* dialog );

private slots:

    void ClassNameChanged( const QString& );

    void ClassFilesKeyPressed( const QString& );

    void DataNameChanged( const QString& );

    void DataFilesKeyPressed( const QString& );

private:

    bool	canModClassFiles;
    bool	canModDataName;
    bool	canModDataFiles;

};
#endif // DialogGenPage_included
