/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: GroupBoxPage.cpp,v 2.1 1999/10/16 01:48:45 jeff Exp $

*******************************************************************************/


#include <qgrpbox.h>

#include "GroupBoxPage.h"

#include "widget/DlgWidget.h"

#define Inherited GroupBoxPageData

GroupBoxPage::GroupBoxPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    QGroupBox* box = (QGroupBox*)widget->GetWidget();
    
    itsTitle->setText( box->title() );
    
    switch( box->alignment() & (AlignLeft | AlignRight | AlignHCenter) )
    {
	case AlignLeft:
	default:
	{
	    isTitleLeft->setChecked( TRUE );
	    break;
	}
	case AlignHCenter:
	{
	    isTitleCenter->setChecked( TRUE );
	    break;
	}
	case AlignRight:
	{
	    isTitleRight->setChecked( TRUE );
	    break;
	}
    }
}


GroupBoxPage::~GroupBoxPage()
{
}


void GroupBoxPage::Apply( DlgWidget*	widget )
{
    QGroupBox* box = (QGroupBox*)widget->GetWidget();
    
    box->setTitle( itsTitle->text() );
    
    int alignment = AlignLeft;	// default

    if( isTitleCenter->isChecked() )
    {
	alignment = AlignHCenter;
    }
    else if( isTitleRight->isChecked() )
    {
	alignment = AlignRight;
    }

    box->setAlignment( alignment );
}
