/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ListViewPage.cpp,v 2.1 1999/10/16 01:49:08 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: ListViewPage.cpp
	Last generated: Sun Aug 23 15:57:13 1998

 *********************************************************************/

#include <qlistview.h>
#include <qstring.h>

#include "ListViewPage.h"

#include "widget/DlgWidget.h"

#define Inherited ListViewPageData

ListViewPage::ListViewPage
(
    DlgWidget*	widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    const QListView* listView = static_cast<QListView*>(widget->GetWidget());
    QString str;
    
    str.setNum( listView->treeStepSize() );
    myTreeStepSize->setText( str );
    
    str.setNum( listView->itemMargin() );
    myItemMargin->setText( str );
    
    isMultiSelection->setChecked( listView->isMultiSelection() );
    isAllColumnsShowFocus->setChecked( listView->allColumnsShowFocus() );
    isRootDecorated->setChecked( listView->rootIsDecorated() );
}


ListViewPage::~ListViewPage()
{
}


void ListViewPage::Apply(
    DlgWidget*	theWidget
    )
{
    QListView* listView = static_cast<QListView*>(theWidget->GetWidget());
    QString str;
    
    str = myTreeStepSize->text();
    listView->setTreeStepSize( str.toInt() );
    
    str = myItemMargin->text();
    listView->setItemMargin( str.toInt() );
    
    listView->setMultiSelection( isMultiSelection->isChecked() );
    listView->setAllColumnsShowFocus( isAllColumnsShowFocus->isChecked() );
    listView->setRootIsDecorated( isRootDecorated->isChecked() );

    listView->triggerUpdate();
}
