/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: MultiLineEditPage.h,v 2.2 2000/05/04 03:20:12 jeff Exp $

*******************************************************************************/


#ifndef MultiLineEditPage_included
#define MultiLineEditPage_included

#include "MultiLineEditPageData.h"

class DlgWidget;

class MultiLineEditPage : public MultiLineEditPageData
{
    Q_OBJECT

public:

    MultiLineEditPage
    (
	DlgWidget* widget,	
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~MultiLineEditPage();

public slots:

    void Apply( DlgWidget*	widget );
    // apply changes to the widget

protected slots:

    void UndoToggled( bool );
    void WordWrapClicked( int );

private:

    void UpdateScreen();

};
#endif // MultiLineEditPage_included
