/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: TabBarPage.cpp,v 2.1 1999/10/16 01:49:45 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: TabBarPage.cpp
	Last generated: Sat Aug 8 14:36:22 1998

 *********************************************************************/

#include <qstring.h>
#include <qtabbar.h>

#include "TabBarPage.h"

#include "widget/DlgTabBar.h"
#include "widget/DlgWidget.h"

#define Inherited TabBarPageData

TabBarPage::TabBarPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    const QTabBar* tabBar = static_cast<QTabBar*>(widget->GetWidget());
    
    switch( tabBar->shape() )
    {
	case QTabBar::RoundedAbove:
	{
	    isRoundedAbove->setChecked( TRUE );
	    break;
	}
	case QTabBar::RoundedBelow:
	{
	    isRoundedBelow->setChecked( TRUE );
	    break;
	}
	case QTabBar::TriangularAbove:
	{
	    isTriangularAbove->setChecked( TRUE );
	    break;
	}
	case QTabBar::TriangularBelow:
	{
	    isTriangularBelow->setChecked( TRUE );
	    break;
	}
    }

    const DlgTabBar* dlgTabBar = static_cast<const DlgTabBar*>(widget);
    QStrListIterator iter( dlgTabBar->labelList() );
    const char* label;
    while( (label = iter()) )
    {
	myTabList->insertItem( label );
    }
}


TabBarPage::~TabBarPage()
{
}


void TabBarPage::Apply(
    DlgWidget*	widget
    )
{
    QTabBar* tabBar = static_cast<QTabBar*>(widget->GetWidget());
    
    QTabBar::Shape shape = QTabBar::RoundedAbove;
    
    if( isRoundedAbove->isChecked() )
    {
	shape = QTabBar::RoundedAbove;
    }
    else if( isRoundedBelow->isChecked() )
    {
	shape = QTabBar::RoundedBelow;
    }
    else if( isTriangularAbove->isChecked() )
    {
	shape = QTabBar::TriangularAbove;
    }
    else if( isTriangularBelow->isChecked() )
    {
	shape = QTabBar::TriangularBelow;
    }
    
    tabBar->setShape( shape );

    DlgTabBar* dlgTabBar = static_cast<DlgTabBar*>(widget);
    dlgTabBar->clearLabels();
    
    unsigned int i;
    for( i = 0; i < myTabList->count(); ++i )
    {
	dlgTabBar->addLabel( myTabList->text( i ) );
    }
}


void TabBarPage::addClicked()
{
    if( strlen( myTabEdit->text() ) > 0 )
    {
	myTabList->insertItem( myTabEdit->text() );
    }
}


void TabBarPage::updateClicked()
{
    if( myTabList->currentItem() > -1 )
    {
	myTabList->changeItem( myTabEdit->text(), myTabList->currentItem() );
    }
}


void TabBarPage::removeClicked()
{
    if( myTabList->currentItem() > -1 )
    {
	myTabList->removeItem( myTabList->currentItem() );
    }
}


void TabBarPage::tabSelected(
    int	theSelectedItem
    )
{
    myTabEdit->setText( myTabList->text( theSelectedItem ) );
}

