/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: WidgetGeometryPage.h,v 2.1 1999/10/16 01:50:12 jeff Exp $

*******************************************************************************/


#ifndef WidgetGeometryPage_included
#define WidgetGeometryPage_included

#include "WidgetGeometryPageData.h"

class DlgWidget;

class WidgetGeometryPage : public WidgetGeometryPageData
{
    Q_OBJECT

public:

    WidgetGeometryPage
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~WidgetGeometryPage();

    void Apply( DlgWidget*	widget );
    // apply changes to the widget

protected slots:

    virtual void SetFixedSize();

    virtual void SetVariableSize();
};
#endif // WidgetGeometryPage_included
