/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DlgVButtonGroup.h,v 2.4 2000/04/29 20:15:55 klaus Exp $

*******************************************************************************/


#ifndef DlgVButtonGroup_included
#define DlgVButtonGroup_included

#include <qvbuttongroup.h>
#include <qstring.h>
#include <qstrlist.h>

#include "widget/DlgButtonGroup.h"

class DlgVButtonGroup : public DlgButtonGroup
{

public:

    DlgVButtonGroup();
    // Constructor

    virtual ~DlgVButtonGroup();
    // Destructor
    
    virtual void RestoreXML( const XMLValue & );
    // Restore a XMLValue


    //
    // Saving and Loading Methods
    //

    virtual void Save( QtArchGenerator & );
    // save the contents of the widget

    //
    // Code Generation Methods
    //

    virtual QString GetHeaderFilename() const;
    // return the header filename for the widget

    virtual QString GetWidgetClass() const;
    // return the class name for the widget

protected: // Methods

    DlgVButtonGroup(
	DlgWidget::Type	theType
	);
    // Constructor.  Used by a derived class' constructor.

    virtual void CreateQtWidget(
	const char*	theName
	);
    // Create and return the correct Qt widget for the specific type of
    // DlgWidget.


private: // Methods

    QVButtonGroup* GetVButtonGroup();
    // Get the Qt Widget as QVButtonGroup.

private: // static data

    static QStrList	itsSignals;
    // list of the signals that can be connected to this widget

    static int itsNextWidgetNum;
    // number of the next widget

    int mySpacing;
    // The spacing for the VButtonGroup
};

inline QString DlgVButtonGroup::GetHeaderFilename() const
{
    return "<qvbuttongroup.h>";
}

inline QString DlgVButtonGroup::GetWidgetClass() const
{
    return "QVButtonGroup";
}


inline QVButtonGroup* DlgVButtonGroup::GetVButtonGroup()
{
    return static_cast<QVButtonGroup*> (GetWidget());
}


#endif // DlgVButtonGroup_included
