#include <qapp.h>
#include <qsize.h>
#include <qpalette.h>

#include "TestClass.h"
#include "QtArchExpat.h"
#include "QtArchGenerator.h"

int main( int argc, char **argv )
{
  QApplication a( argc, argv );
  TestClass testClass;
  
  QtArchExpat myexpat( argv[1] );
  QObject::connect( &myexpat, SIGNAL(NewType(XMLValue&)),
           &testClass, SLOT(NewType(XMLValue&)) );
  
  myexpat.Parse();

  QtArchGenerator mygener;
  try
  {
    mygener.WriteStart( argv[2] );
  }
  catch( GeneratorError &err )
  {
    printf( "Error : %s\n", (const char*) err.message );
  }

  QPalette pal;

  XMLValue v1( 1 );
  XMLValue v2( TRUE );
  XMLValue v3( QString( "Hallo" ) );
  XMLValue v4( QSize( 3, 4 ) );
  XMLValue v5( pal );
  mygener.WriteStartBlock( "Adresse" );
  mygener.WriteStartBlock( "Name" );
  mygener.WriteSingleLine( "Nachname", "Ebner" );
  mygener.WriteSingleLine( "Vorname", "Klaus" );
  mygener.WriteStartList( "AList" );
  mygener.WriteXMLValue( "T1", 1 );
  mygener.WriteXMLValue( "T1", 2 );
  mygener.WriteXMLValue( "T1", 3 );
//  mygener.WriteXMLValue( "T2", v2 );
//  mygener.WriteXMLValue( "T3", v3 );
  mygener.WriteXMLValue( "T4", QSize( 33, 44 ) );
  mygener.WriteXMLValue( "T5", pal );  
  mygener.WriteEndBlock();
  mygener.WriteEndBlock();
  mygener.WriteEndBlock();
  return 0;

}
	
	
